aria.h File Reference

Classes for the ARIA block cipher. More...

Go to the source code of this file.

## Classes

struct | ARIA_Info
| ARIA block cipher information. More...
class | ARIA
| ARIA block cipher. More...
class | ARIA::Base

## Typedefs

typedef ARIA::Encryption | ARIAEncryption
typedef ARIA::Decryption | ARIADecryption

## Detailed Description

Classes for the ARIA block cipher.

The Crypto++ ARIA implementation is based on the 32-bit implementation by Aaram Yun from the National Security Research Institute, KOREA. Aaram Yun's implementation is based on the 8-bit implementation by Jin Hong. The source files are available in ARIA.zip from the Korea Internet & Security Agency website.

See also
  RFC 5794, A Description of the ARIA Encryption Algorithm, Korea Internet & Security Agency homepage

Definition in file aria.h.

## Typedef Documentation

## ARIAEncryption

typedef ARIA::Encryption ARIAEncryption

Definition at line 66 of file aria.h.

## ARIADecryption

typedef ARIA::Decryption ARIADecryption

Definition at line 67 of file aria.h.